Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena
Class JenaNormalizer

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.JenaNormalizer

    public class JenaNormalizer

extends Object

A class that is able to normalize a given OntModel. Normalizing makes sure that a given OWL file (edited outside of Protege) fulfills some syntactic constraints. This process does the following:

- Converts named class expressions (enumerations, boolean classes and restrictions) into normal named classes with the expression as equivalent class.
- Turns all absolute class, property and individual names into local names, so that they get the default namespace.
- Converts multiple domain statements into a single intersectionOf

This code could clearly be optimized (generalized) to better exploit the RDF structure. However, we try to make use the of the Ontology API wherever possible, so that we could easier copy this functionality into other OWL APIs.

Author:
  Holger Knublauch

Constructor Summary
`JenaNormalizer(com.hp.hpl.jena.ontology.OntModel ontModel, com.hp.hpl.jena.rdf.model.Model owlFullModel, NamespaceManager namespaceManager)`

Method Summary
`static void` | `assignRDFTypesToMetaclassInstances(com.hp.hpl.jena.ontology.OntModel ontModel, com.hp.hpl.jena.rdf.model.Model owlFullModel)`
`static Iterator` | `listAnonTopLevelClasses(com.hp.hpl.jena.ontology.OntModel m)`
`static void` | `standardizePrefixes(com.hp.hpl.jena.ontology.OntModel ontModel)`
`static void` | `unifyNamespace(com.hp.hpl.jena.ontology.OntModel ontModel, String oldNamespace, String newNamespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JenaNormalizer

    public JenaNormalizer(com.hp.hpl.jena.ontology.OntModel ontModel,
                          com.hp.hpl.jena.rdf.model.Model owlFullModel,
                          NamespaceManager namespaceManager)

Method Detail

### assignRDFTypesToMetaclassInstances

    public static void assignRDFTypesToMetaclassInstances(com.hp.hpl.jena.ontology.OntModel ontModel,
                                                          com.hp.hpl.jena.rdf.model.Model owlFullModel)

### listAnonTopLevelClasses

    public static Iterator listAnonTopLevelClasses(com.hp.hpl.jena.ontology.OntModel m)

### standardizePrefixes

    public static void standardizePrefixes(com.hp.hpl.jena.ontology.OntModel ontModel)

### unifyNamespace

    public static void unifyNamespace(com.hp.hpl.jena.ontology.OntModel ontModel,
                                      String oldNamespace,
                                      String newNamespace)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.